---

- name: install blackbox exporter
  become: true
  package:
    name: golang-github-prometheus-blackbox_exporter
  notify: restart prometheus-blackbox-exporter

- name: configure blackbox-exporter
  become: true
  template:
    src: config.yml
    dest: /etc/prometheus/blackbox.yml
    mode: 0644
  notify: reload prometheus-blackbox-exporter

- name: set config listen address and file path
  become: true
  lineinfile:
    path: /etc/sysconfig/prometheus-blackbox_exporter
    regexp: '^ARGS='
    line: ARGS='--web.listen-address="{{ prometheus_blackbox_exporter__listen_address }}:{{ prometheus_blackbox_exporter__listen_port }}" --config.file="/etc/prometheus/blackbox.yml"'

- name: enable prometheus blackbox service
  become: true
  systemd:
    name: prometheus-blackbox_exporter
    enabled: true
